Show / Hide Table of Contents

# Enum ImGuiKey

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public enum ImGuiKey

### Fields

Name | Description
--- | ---
_0 |
_1 |
_2 |
_3 |
_4 |
_5 |
_6 |
_7 |
_8 |
_9 |
A |
Apostrophe |
B |
Backslash |
Backspace |
C |
CapsLock |
Comma |
COUNT |
D |
Delete |
DownArrow |
E |
End |
Enter |
Equal |
Escape |
F |
F1 |
F10 |
F11 |
F12 |
F2 |
F3 |
F4 |
F5 |
F6 |
F7 |
F8 |
F9 |
G |
GamepadBack |
GamepadDpadDown |
GamepadDpadLeft |
GamepadDpadRight |
GamepadDpadUp |
GamepadFaceDown |
GamepadFaceLeft |
GamepadFaceRight |
GamepadFaceUp |
GamepadL1 |
GamepadL2 |
GamepadL3 |
GamepadLStickDown |
GamepadLStickLeft |
GamepadLStickRight |
GamepadLStickUp |
GamepadR1 |
GamepadR2 |
GamepadR3 |
GamepadRStickDown |
GamepadRStickLeft |
GamepadRStickRight |
GamepadRStickUp |
GamepadStart |
GraveAccent |
H |
Home |
I |
Insert |
J |
K |
Keypad0 |
Keypad1 |
Keypad2 |
Keypad3 |
Keypad4 |
Keypad5 |
Keypad6 |
Keypad7 |
Keypad8 |
Keypad9 |
KeypadAdd |
KeypadDecimal |
KeypadDivide |
KeypadEnter |
KeyPadEnter |
KeypadEqual |
KeypadMultiply |
KeypadSubtract |
KeysData_OFFSET |
KeysData_SIZE |
L |
LeftAlt |
LeftArrow |
LeftBracket |
LeftCtrl |
LeftShift |
LeftSuper |
M |
Minus |
ModAlt |
ModCtrl |
ModShift |
ModSuper |
N |
NamedKey_BEGIN |
NamedKey_COUNT |
NamedKey_END |
None |
NumLock |
O |
P |
PageDown |
PageUp |
Pause |
Period |
PrintScreen |
Q |
R |
RightAlt |
RightArrow |
RightBracket |
RightCtrl |
RightShift |
RightSuper |
S |
ScrollLock |
Semicolon |
Slash |
Space |
T |
Tab |
U |
UpArrow |
V |
W |
X |
Y |
Z |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()